WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000447WeBidAuctionspublic2013-07-18 12:552015-08-28 16:33
Reporteritze 
Assigned Torenlok 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1.0 
Target VersionFixed in Version1.2.0 
Summary0000447: (Ver 1.1.0) [Solution] Multiple pages in invoices.php do no work. Clicking on second page leeds user to outstanding.php?page=2 (
DescriptionHello everybody,



I discovered an error in invoices.php. The user may have more than 15 invoices. Then on the bottom of the page there is the possibility to go to the next page to view more invoices. This does not work in my installation. Clicking on the next (second) page link brings me to outstanding.php?page=2 (should be invoices.php?page=2).



This due to the fact that in invoices.php there is a wrong link to outstanding.php. Here is the solution:



Find the following code in invoices.php:

if ($PAGES > 1)

{

    $LOW = $PAGE - 5;

    if ($LOW <= 0) $LOW = 1;

    $COUNTER = $LOW;

    while ($COUNTER <= $PAGES && $COUNTER < ($PAGE + 6))

    {

        $template->assign_block_vars('pages', array(

                'PAGE' => ($PAGE == $COUNTER) ? '' . $COUNTER . '' : '<a href="' . $system->SETTINGS['siteurl'] . 'outstanding.php?PAGE=' . $COUNTER . '">' . $COUNTER . '</a>'

                ));

        $COUNTER++;

    }

}



$_SESSION['INVOICE_RETURN'] = 'invoices.php';

$template->assign_vars(array(

        'CURRENCY' => $system->SETTINGS['currency'],



        'PREV' => ($PAGES > 1 && $PAGE > 1) ? '<a href="' . $system->SETTINGS['siteurl'] . 'outstanding.php?PAGE=' . $PREV . '">' . $MSG['5119'] . '</a>  ' : '',

        'NEXT' => ($PAGE < $PAGES) ? '<a href="' . $system->SETTINGS['siteurl'] . 'outstanding.php?PAGE=' . $NEXT . '">' . $MSG['5120'] . '</a>' : '',

        'PAGE' => $PAGE,

        'PAGES' => $PAGES

        ));





replace with:



if ($PAGES > 1)

{

    $LOW = $PAGE - 5;

    if ($LOW <= 0) $LOW = 1;

    $COUNTER = $LOW;

    while ($COUNTER <= $PAGES && $COUNTER < ($PAGE + 6))

    {

        $template->assign_block_vars('pages', array(

                'PAGE' => ($PAGE == $COUNTER) ? '' . $COUNTER . '' : '<a href="' . $system->SETTINGS['siteurl'] . 'invoices.php?PAGE=' . $COUNTER . '">' . $COUNTER . '</a>'

                ));

        $COUNTER++;

    }

}



$_SESSION['INVOICE_RETURN'] = 'invoices.php';

$template->assign_vars(array(

        'CURRENCY' => $system->SETTINGS['currency'],



        'PREV' => ($PAGES > 1 && $PAGE > 1) ? '<a href="' . $system->SETTINGS['siteurl'] . 'invoices.php?PAGE=' . $PREV . '">' . $MSG['5119'] . '</a>  ' : '',

        'NEXT' => ($PAGE < $PAGES) ? '<a href="' . $system->SETTINGS['siteurl'] . 'invoices.php?PAGE=' . $NEXT . '">' . $MSG['5120'] . '</a>' : '',

        'PAGE' => $PAGE,

        'PAGES' => $PAGES

        ));





That's it!
TagsNo tags attached.
import_id449
Thread
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 449
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2013-07-18 12:55
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2013-07-18 12:57
2015-08-28 16:33 renlok Status new => resolved
2015-08-28 16:33 renlok Fixed in Version => 1.2.0
2015-08-28 16:33 renlok Resolution open => fixed
2015-08-28 16:33 renlok Assigned To => renlok


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker